<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url(static/images/testProduct.jpg);
    }
    .addCard-btn{
        margin-top:10%;
        width: 150px;
        height: 38px;
        background-color: white;
        color:black;
        text-align: center;
        border-radius:20px;
        padding-top: 5px;
    }
    input {
        width: 100%;
        height: 50px;
        border-radius: 18px;
        border-top-style: hidden;
        border-right-style: hidden;
        border-left-style: hidden;
        border-bottom-style: hidden;
        padding-left: 12px;
        color: #7B7B7B;
      }
    .head-content{
   
        width: 100%;
        height: 180px;
        display: flex;
        padding-top:4%;
        justify-content: space-between;
    }
    .content{
        font-family: Century Gothic;
        font-weight: bold;
        color: #7B7B7B;
        margin-left:40px;

    }

    table {
        width: 100%; 
    }
    #txt{
        font-family: Century Gothic;
        font-weight: bold;
        color: #7B7B7B;
        font-weight: bold;
    }
    th{
         width:25%;
         text-align: center;
    }
    .img_product{
        border-radius: 15px;
        width: 200px;
        height: 150px;
        margin-left: auto;
        margin-right: auto;
    }
    td{
        padding-top:10px;
        text-align: center;

    }
    tr{
        margin-top:5%;
    }
  </style>
  <body style="background-color: #ECECEC;user-select: none;">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>

      <div style="height: min-content;padding-left: 5%;">
    
        <div class="head-content">
        <div>
            <span style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;"> 
              Basket</span>
              <img src="{{url_for('static', filename = 'images/basket.png')}}"
               alt="" srcset="" style="vertical-align: inherit;margin-left: -7%;width: 80px;height: 70px;">
        </div>
        {% if cart != {} %}
        <div style="padding-right: 10%;padding-top: 51px;">
            Purchase   
            <span
            onclick="payment()"
            style="background-color: white; padding: 9px; border-radius: 10px;margin-left: 10px;cursor: pointer;"
          >
            <img
              src="{{url_for('static', filename = 'images/right-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px;"

            />
          </span>
        </div>
        {% endif %}
      </div>

      {% if cart != {} %}
      <div class="table-content" style="margin-bottom:10%;">
        <table>
            <tr>
              <th>PRODUCT</th>
              <th>PRICE</th>
              <th>QTY</th>
              <th>TOTAL</th>
            </tr>
            {% for item in cart.keys() %}
           
            <tr>
              <td>
                <img src="{{url_for('static', filename = 'images/preview_product/'+cart[item].preview_image)}}" alt="" srcset="" class="img_product">
              </td>
              <td >
                <span id="{{ item }}_pp">{{ cart[item].pp }}</span>฿/KG.
              </td>
              <td>
                <div style="display: flex; justify-content: center">
                    <span
                      style="
                        font-size: 20px;
                        background-color: black;
                        color: white;
                        border-radius: 50px;
                        width: 37px;
                        height:36px;
                        text-align: center;
                        cursor: pointer;
                      "
                      onclick="incrementValue('{{ item }}')"
                    >
                      +
                    </span>


                    <span style="font-size: 20px;padding-left:10px;padding-right:10px;" id="{{ item }}_amount"> 
                      
                      
                      {{ cart[item].amount }}
                    
                    
                    
                    </span>
                    <span
                      style="
                          font-size: 20px;
                        background-color: black;
                        color: white;
                        border-radius: 50px;
                        width: 37px;
                        height:36px;
                        text-align: center;
                        cursor: pointer;
                      "
                      onclick="decrementValue('{{ item }}')"
                    >
                      -
                    </span>
                  </div>
              </td>
              <td >
                <span id="{{ item }}_sum">{{ cart[item].pp*cart[item].amount }} </span>฿
              </td>
            </tr>
     
            {% endfor %}
            
  
    

            
          
        
        </table>
        <div>


        <table style="margin-bottom: 5%;padding-bottom: 5%;">
            <td style="width:25%;"> 

            </td>
            <td style="width:25%;">

            </td>
            <td style="width:25%;" id="txt">
                Subtotal
            </td>
            <td style="width:25%;" id="txt">
            <span id="total_cost">{{ total_cost }}</span> ฿
            </td>
        </table>
    </div>
      </div>
        {% else %}
        <h2 style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;text-align: center;">No item in basket</h2>
      {% endif %}
     
      </div>

    </div>
  </body>
</html>
<script>
  function payment(){
  
    window.location = "/shop/basket/confirm";
  }

  function incrementValue(id){
    var amount = parseInt(document.getElementById(id+"_amount").innerHTML, 10);
    var pp = parseFloat(document.getElementById(id+"_pp").innerHTML);
    var total_cost = parseFloat(document.getElementById("total_cost").innerHTML);
    total_cost += pp
    document.getElementById("total_cost").innerHTML = parseFloat(total_cost).toFixed(2);
    amount++;
    document.getElementById(id+"_amount").innerHTML = amount;
    document.getElementById(id+"_sum").innerHTML = parseFloat(pp*amount).toFixed(2);
    const formData = new FormData();
    formData.append('id', id);
    formData.append('amount', amount);
    fetch('{{url_for("shop_list.update_basket")}}', {   // assuming the backend is hosted on the same server
        method: 'POST',
        body: formData,
    })
  }
  function decrementValue(id){
    var amount = parseInt(document.getElementById(id+"_amount").innerHTML, 10);
    var pp = parseFloat(document.getElementById(id+"_pp").innerHTML);
    var total_cost = parseFloat(document.getElementById("total_cost").innerHTML);
    if(amount > 0){
      total_cost -= pp
      amount--;
      document.getElementById("total_cost").innerHTML = parseFloat(total_cost).toFixed(2);
      document.getElementById(id+"_amount").innerHTML = amount;
      document.getElementById(id+"_sum").innerHTML = parseFloat(pp*amount).toFixed(2);
      const formData = new FormData();
      formData.append('id', id);
      formData.append('amount', amount);
      fetch('{{url_for("shop_list.update_basket")}}', {   // assuming the backend is hosted on the same server
        method: 'POST',
        body: formData,
    })
    }
  }
  function addToCart(){
    var value = parseInt(document.getElementById('number').innerHTML, 10);
    document.getElementById('amount').value = value;
    document.getElementById('add_to_cart_form').submit();
  }
</script>
